<div class="header pb-8 pt-5 pt-lg-8 d-flex align-items-center"
    style="min-height: 600px; background-image: url(assets/img/theme/profile-cover.jpg); background-size: cover; background-position: center top;">
    <span class="mask bg-gradient-danger opacity-8"></span>
    <div class="container-fluid d-flex align-items-center">
        <div class="row">
            <div class="col-lg-7 col-md-10">
            </div>
        </div>
    </div>
</div>
<div class="container-fluid mt--7" style="margin-top: -27rem !important;">
    <div class="row">
        <div class="col-xl-12 order-xl-1">
            <div class="card bg-secondary shadow">
                <div class="card-header bg-white border-0">
                    <div class="row align-items-center">
                        <div class="col-8">
                            <h3 class="mb-0">Amount Withdrawal Request</h3>
                        </div>
                    </div>
                </div>
                <div class="card-body">
                    <form [formGroup]="WithdrawlRequestForm" (ngSubmit)="SubmitWithdrawlRequest()">
                        <div class="pl-lg-4">
                            <h5 class="alert alert-danger text-center" *ngIf="ErrorMsg">{{ErrorMsg}}</h5>
                                <div class="row">
                                <div class="col-lg-6">
                                    <div class="form-group">
                                        <label for="bank_id">Select Bank</label>
                                        <select class="form-control" id="bank_id" name="bank_id" formControlName="bank_id">
                                            
                                          <option *ngFor="let bank of bankdata"  value="{{bank.bank_id}}">{{bank.bank_name}}</option>
                                        </select>
                                      </div>
                                </div>
                                <div class="col-lg-6">
                                    <div class="form-group">
                                        <label class="form-control-label" for="amount">Withdrawl Amount</label>
                                        <input type="number" id="amount" formControlName="amount"
                                            class="form-control form-control-alternative" placeholder="Amount"
                                            name="amount">
                                    </div>
                                </div>
                            </div>
                            
                            
                        </div>
                        


                        <div class="container text-center"><button class="btn btn-danger" type="submit" [disabled]="WithdrawlRequestForm.invalid">Submit</button></div>
                        <hr class="my-4" />
                    </form>
                </div>
            </div>
        </div>
        <div class="col-xl-12 order-xl-1 mb-5">
            <div class="card bg-secondary shadow">
                <div class="card-header bg-white border-0">
                    <div class="row align-items-center">
                        <div class="col-8">
                            <h3 class="mb-0">My Withdrawal Request</h3>
                        </div>

                    </div>
                </div>
                <div class="card-body">
                    <div class="table-responsive">
                        <table class="table align-items-center table-flush">
                          <thead class="thead-light">
                            <tr>
                              <th scope="col">Sr. No.</th>
                              <th scope="col">Bank Name</th>
                              <th scope="col">Amount</th>
                              <th scope="col">Status</th>
                              <th scope="col">Update Date</th>
                              <th scope="col">Request Date</th>
                            </tr>
                          </thead>              
                          <tbody *ngIf="withdrawalRequestRecord == 0;else elseBlock">
                            <tr>
                              <td></td>
                              <td>No Bank Record Found</td>
                            </tr>  
                          </tbody>
                          <ng-template #elseBlock>
                            <tbody *ngFor="let request of withdrawalRequestData">
                              <tr>
                                <td>{{request.index}}</td>
                                <td>{{request.bank_name}}</td>
                                <td>{{request.amount}}</td>
                                <td>{{request.request_progress}}</td>
                                <td>
                                  {{request.request_date}}	
                                </td>
                                <td>{{request.updated_date}}</td>
                              </tr>  
                            </tbody>              
                          </ng-template>
                        </table>
                      </div>
                </div>
            </div>
        </div>
    </div>
</div>